namespace Tinkerforge
{
    public static class ELinearPoti
    {
        public static (char Option, int Min, int Max) GetPositionCallbackThreshold(this BrickletLinearPoti linearPoti)
        {
            linearPoti.GetPositionCallbackThreshold(out char option, out int min, out int max);
            return (option, min, max);
        }

        public static (char Option, int Min, int Max) GetAnalogValueCallbackThreshold(this BrickletLinearPoti linearPoti)
        {
            linearPoti.GetAnalogValueCallbackThreshold(out char option, out int min, out int max);
            return (option, min, max);
        }
    }
}
